Lentelės

Gauti lentelės schemą

Grąžina dabartinę Iceberg lentelės loginę schemą.

Atnaujinta

GET
/namespaces/{namespace}/tables/{tableName}/schema

Path Parameters

namespace*string
tableName*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/namespaces/string/tables/string/schema"
{
  "success": true,
  "data": {
    "table_identifier": "string",
    "schema": {
      "type": "string",
      "fields": [
        {
          "id": 0,
          "name": "string",
          "type": "string",
          "required": true
        }
      ],
      "schema-id": 0,
      "identifier-field-ids": [
        0
      ]
    }
  }
}
{
  "error": "string",
  "error_code": "string"
}
{
  "message": "string",
  "error_code": "string"
}
{
  "detail": [
    {
      "loc": [
        null
      ],
      "msg": "string",
      "type": "string",
      "input": "string",
      "ctx": {
        "property1": null,
        "property2": null
      }
    }
  ]
}
{
  "error": "string",
  "error_code": "string"
}
{
  "error": "string",
  "error_code": "string"
}

Taip pat žiūrėkite

Kaip vertinate šį puslapį?